Populate the nova-api database error

asked 2019-01-05 11:14:23 -0600

[root@controller cloud]# /bin/sh -c "nova-manage api_db sync" nova An error has occurred: Traceback (most recent call last): File "/usr/lib/python2.7/site-packages/nova/cmd/manage.py", line 1682, in main ret = fn(fn_args, *fn_kwargs) File "/usr/lib/python2.7/site-packages/nova/cmd/manage.py", line 824, in sync return migration.db_sync(version, database='api') File "/usr/lib/python2.7/site-packages/nova/db/migration.py", line 26, in db_sync return IMPL.db_sync(version=version, database=database, context=context) File "/usr/lib/python2.7/site-packages/nova/db/sqlalchemy/migration.py", line 53, in db_sync current_version = db_version(database, context=context) File "/usr/lib/python2.7/site-packages/nova/db/sqlalchemy/migration.py", line 66, in db_version return versioning_api.db_version(get_engine(database, context=context), File "/usr/lib/python2.7/site-packages/nova/db/sqlalchemy/migration.py", line 43, in get_engine return db_session.get_api_engine() File "/usr/lib/python2.7/site-packages/nova/db/sqlalchemy/api.py", line 153, in get_api_engine return api_context_manager.get_legacy_facade().get_engine() File "/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py", line 707, in get_legacy_facade return self._factory.get_legacy_facade() File "/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py", line 261, in get_legacy_facade self._start() File "/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py", line 403, in _start engine_args, maker_args) File "/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py", line 425, in _setup_for_connection "No sql_connection parameter is established") CantStartEngineError: No sql_connection parameter is established

edit retag flag offensive close merge delete

Comments

No sql_connection parameter is established

Check nova.conf for SQL connection parameters.

Bernd Bausch gravatar imageBernd Bausch ( 2019-01-05 16:31:33 -0600 )edit